speech recognition
Device proxies

The speech recognition proxy provides an interface to a speech recognition system. More...

## Classes

struct | playerc_speechrecognition_t
| Speech recognition proxy data. More...

## Functions

PLAYERC_EXPORT playerc_speechrecognition_t * | playerc_speechrecognition_create (playerc_client_t *client, int index)
| Create a speech recognition proxy. More...
PLAYERC_EXPORT void | playerc_speechrecognition_destroy (playerc_speechrecognition_t *device)
| Destroy a speech recognition proxy. More...
PLAYERC_EXPORT int | playerc_speechrecognition_subscribe (playerc_speechrecognition_t *device, int access)
| Subscribe to the speech recognition device. More...
PLAYERC_EXPORT int | playerc_speechrecognition_unsubscribe (playerc_speechrecognition_t *device)
| Un-subscribe from the speech recognition device.

## Detailed Description

The speech recognition proxy provides an interface to a speech recognition system.

## Function Documentation

PLAYERC_EXPORT playerc_speechrecognition_t* playerc_speechrecognition_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a speech recognition proxy.

PLAYERC_EXPORT void playerc_speechrecognition_destroy | ( | playerc_speechrecognition_t * | device | ) |

Destroy a speech recognition proxy.

PLAYERC_EXPORT int playerc_speechrecognition_subscribe | ( | playerc_speechrecognition_t * | device,
|  | int | access
| ) |  |

Subscribe to the speech recognition device.

Last updated 12 September 2005 21:38:45